import{s as yt,n as kt,o as Ct}from"../chunks/scheduler.9039eef2.js";import{S as wt,i as Ht,g as s,s as l,r as Z,A as Mt,h as r,f as n,c as a,j as bt,u as tt,x as o,k as _t,y as Pt,a as i,v as et,d as nt,t as it,w as lt}from"../chunks/index.cdcc3d35.js";import{H as at}from"../chunks/Heading.96ce3702.js";function Bt(st){let m,B,M,S,p,A,u,rt="How fast is Llama-2-7b on Inferentia2?  Let’s figure out!",I,f,ot="For this benchmark we will use the following configurations:",z,h,mt="<thead><tr><th>Model type</th> <th>batch_size</th> <th>sequence_length</th></tr></thead> <tbody><tr><td>Llama2 7B BS1</td> <td>1</td> <td>4096</td></tr> <tr><td>Llama2 7B BS4</td> <td>4</td> <td>4096</td></tr> <tr><td>Llama2 7B BS8</td> <td>8</td> <td>4096</td></tr> <tr><td>Llama2 7B BS16</td> <td>16</td> <td>4096</td></tr> <tr><td>Llama2 7B BS32</td> <td>24</td> <td>4096</td></tr></tbody>",E,d,pt="<em>Note: all models are compiled to use 6 devices corresponding to 12 cores on the <code>inf2.48xlarge</code> instance.</em>",j,c,ut='<em>Note: please refer to the <a href="https://aws.amazon.com/ec2/instance-types/inf2/" rel="nofollow">inferentia2 product page</a> for details on the available instances.</em>',q,g,R,v,ft=`The time to first token is the time required to process the input tokens and generate the first output token.
It is a very important metric, as it corresponds to the latency directly perceived by the user when streaming generated tokens.`,W,T,ht="We test the time to first token for increasing context sizes, from a typical Q/A usage, to heavy Retrieval Augmented Generation (RAG) use-cases.",F,x,dt="Time to first token is expressed in <strong>seconds</strong>.",G,L,ct='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/ttft.png" alt="Llama2 7b inferentia2 TTFT" title="Time to first token"/>',N,$,U,b,gt="The inter-token latency corresponds to the average time elapsed between two generated tokens.",Q,_,vt="It is expressed in <strong>milliseconds</strong>.",D,y,Tt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/latency.png" alt="Llama2 7b inferentia2 inter-token latency" title="Inter-token latency"/>',J,k,K,C,xt=`Unlike some other benchmarks, we evaluate the throughput using generated tokens only, by dividing their number
by the end-to-end latency.`,O,w,Lt="Throughput is expressed in <strong>tokens/second</strong>.",V,H,$t='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-llama2-7b/throughput.png" alt="Llama2 7b inferentia2 throughput" title="Throughput"/>',X,P,Y;return p=new at({props:{title:"Llama-2-7b performance on AWS Inferentia2 (Latency & Througput)",local:"llama-2-7b-performance-on-aws-inferentia2-latency--througput",headingTag:"h1"}}),g=new at({props:{title:"Time to first token",local:"time-to-first-token",headingTag:"h2"}}),$=new at({props:{title:"Inter-token Latency",local:"inter-token-latency",headingTag:"h2"}}),k=new at({props:{title:"Throughput",local:"throughput",headingTag:"h3"}}),{c(){m=s("meta"),B=l(),M=s("p"),S=l(),Z(p.$$.fragment),A=l(),u=s("p"),u.textContent=rt,I=l(),f=s("p"),f.textContent=ot,z=l(),h=s("table"),h.innerHTML=mt,E=l(),d=s("p"),d.innerHTML=pt,j=l(),c=s("p"),c.innerHTML=ut,q=l(),Z(g.$$.fragment),R=l(),v=s("p"),v.textContent=ft,W=l(),T=s("p"),T.textContent=ht,F=l(),x=s("p"),x.innerHTML=dt,G=l(),L=s("p"),L.innerHTML=ct,N=l(),Z($.$$.fragment),U=l(),b=s("p"),b.textContent=gt,Q=l(),_=s("p"),_.innerHTML=vt,D=l(),y=s("p"),y.innerHTML=Tt,J=l(),Z(k.$$.fragment),K=l(),C=s("p"),C.textContent=xt,O=l(),w=s("p"),w.innerHTML=Lt,V=l(),H=s("p"),H.innerHTML=$t,X=l(),P=s("p"),this.h()},l(t){const e=Mt("svelte-u9bgzb",document.head);m=r(e,"META",{name:!0,content:!0}),e.forEach(n),B=a(t),M=r(t,"P",{}),bt(M).forEach(n),S=a(t),tt(p.$$.fragment,t),A=a(t),u=r(t,"P",{"data-svelte-h":!0}),o(u)!=="svelte-x35tp7"&&(u.textContent=rt),I=a(t),f=r(t,"P",{"data-svelte-h":!0}),o(f)!=="svelte-18zzjby"&&(f.textContent=ot),z=a(t),h=r(t,"TABLE",{"data-svelte-h":!0}),o(h)!=="svelte-1i3m58s"&&(h.innerHTML=mt),E=a(t),d=r(t,"P",{"data-svelte-h":!0}),o(d)!=="svelte-13lk687"&&(d.innerHTML=pt),j=a(t),c=r(t,"P",{"data-svelte-h":!0}),o(c)!=="svelte-1zgafe"&&(c.innerHTML=ut),q=a(t),tt(g.$$.fragment,t),R=a(t),v=r(t,"P",{"data-svelte-h":!0}),o(v)!=="svelte-16f7nw9"&&(v.textContent=ft),W=a(t),T=r(t,"P",{"data-svelte-h":!0}),o(T)!=="svelte-e39hxg"&&(T.textContent=ht),F=a(t),x=r(t,"P",{"data-svelte-h":!0}),o(x)!=="svelte-1et04dj"&&(x.innerHTML=dt),G=a(t),L=r(t,"P",{"data-svelte-h":!0}),o(L)!=="svelte-j2smsg"&&(L.innerHTML=ct),N=a(t),tt($.$$.fragment,t),U=a(t),b=r(t,"P",{"data-svelte-h":!0}),o(b)!=="svelte-13h9pgw"&&(b.textContent=gt),Q=a(t),_=r(t,"P",{"data-svelte-h":!0}),o(_)!=="svelte-1ahl198"&&(_.innerHTML=vt),D=a(t),y=r(t,"P",{"data-svelte-h":!0}),o(y)!=="svelte-77hsmf"&&(y.innerHTML=Tt),J=a(t),tt(k.$$.fragment,t),K=a(t),C=r(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-1a309vq"&&(C.textContent=xt),O=a(t),w=r(t,"P",{"data-svelte-h":!0}),o(w)!=="svelte-14m9i5e"&&(w.innerHTML=Lt),V=a(t),H=r(t,"P",{"data-svelte-h":!0}),o(H)!=="svelte-4ayuu7"&&(H.innerHTML=$t),X=a(t),P=r(t,"P",{}),bt(P).forEach(n),this.h()},h(){_t(m,"name","hf:doc:metadata"),_t(m,"content",St)},m(t,e){Pt(document.head,m),i(t,B,e),i(t,M,e),i(t,S,e),et(p,t,e),i(t,A,e),i(t,u,e),i(t,I,e),i(t,f,e),i(t,z,e),i(t,h,e),i(t,E,e),i(t,d,e),i(t,j,e),i(t,c,e),i(t,q,e),et(g,t,e),i(t,R,e),i(t,v,e),i(t,W,e),i(t,T,e),i(t,F,e),i(t,x,e),i(t,G,e),i(t,L,e),i(t,N,e),et($,t,e),i(t,U,e),i(t,b,e),i(t,Q,e),i(t,_,e),i(t,D,e),i(t,y,e),i(t,J,e),et(k,t,e),i(t,K,e),i(t,C,e),i(t,O,e),i(t,w,e),i(t,V,e),i(t,H,e),i(t,X,e),i(t,P,e),Y=!0},p:kt,i(t){Y||(nt(p.$$.fragment,t),nt(g.$$.fragment,t),nt($.$$.fragment,t),nt(k.$$.fragment,t),Y=!0)},o(t){it(p.$$.fragment,t),it(g.$$.fragment,t),it($.$$.fragment,t),it(k.$$.fragment,t),Y=!1},d(t){t&&(n(B),n(M),n(S),n(A),n(u),n(I),n(f),n(z),n(h),n(E),n(d),n(j),n(c),n(q),n(R),n(v),n(W),n(T),n(F),n(x),n(G),n(L),n(N),n(U),n(b),n(Q),n(_),n(D),n(y),n(J),n(K),n(C),n(O),n(w),n(V),n(H),n(X),n(P)),n(m),lt(p,t),lt(g,t),lt($,t),lt(k,t)}}}const St='{"title":"Llama-2-7b performance on AWS Inferentia2 (Latency & Througput)","local":"llama-2-7b-performance-on-aws-inferentia2-latency--througput","sections":[{"title":"Time to first token","local":"time-to-first-token","sections":[],"depth":2},{"title":"Inter-token Latency","local":"inter-token-latency","sections":[{"title":"Throughput","local":"throughput","sections":[],"depth":3}],"depth":2}],"depth":1}';function At(st){return Ct(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class jt extends wt{constructor(m){super(),Ht(this,m,At,Bt,yt,{})}}export{jt as component};
